%% caricamento kernels
function load_kernels()
% possibili directory dei kernel
K1 = 'C:\Users\s334344\Desktop\mice1\kernels\';
K2 = 'C:\mice\kernels\';  

% scegli automaticamente quella che esiste
if isfolder(K1)
    K = K1;
elseif isfolder(K2)
    K = K2;
else
    error('Nessuna directory dei kernel trovata.')
end

% Lista dei kernel principali
cspice_furnsh([K 'naif0012.tls']);                                     % leap seconds
cspice_furnsh([K 'de442s.bsp']);                                       % effemeridi
cspice_furnsh([K 'pck00010.tpc']);                                     % costanti fisiche
cspice_furnsh([K 'earth_latest_high_prec.bpc']);                       % rotazione terrestre
cspice_furnsh([K 'moon_080317.tf']);                                   % frame della Luna
cspice_furnsh([K 'moon_pa_de421_1900-2050.bpc']);                      % orientazione della Luna
cspice_furnsh([K 'gm_de440.tpc']);                                     % costanti grav
cspice_furnsh([K 'receding_horiz_3189_1burnApo_DiffCorr_15yr.bsp']);   % lunar getaway

end